Поддержка Плагины При использования php7.3.1 не выводится плагин mp3-jplayer.2.7.3

  • Решено wlad1950

    (@wlad1950)


    При использования php7.3.1 не выводится плагин mp3-jplayer.2.7.3
    Вместо него
    Warning: Invalid argument supplied for foreach() in \wp-includes\shortcodes.php on line 536
    при php7.2 вывод нормальный
    Вопрос в чем причина
    Wordpress это или плагин mp3-jplayer?

    • Тема изменена 6 мес., 3 нед. назад пользователем  wlad1950.
Просмотр 10 ответов — с 1 по 10 (всего 10)
  • не стоит гнаться за каждой последней версией РНР

    Модератор SeVlad

    (@sevlad)

    wp.me/3YHjQ

    Лучше с этой проблемой обратиться на оф. форум плагина https://wordpress.org/support/plugin/mp3-jplayer/

    Я не гонюсь а тестирую и непонятно зачем и какие ограничения внесли в php7.3
    на будующее

    вы здесь ищете разработчиков текущей версии РНР?
    вы форумом ошиблись

    непонятно зачем и какие ограничения внесли в php7.3

    А вот так не пробовали?

    1 Ошибку выводит wordpress а не плагин
    2 Загрузка плагина на wordpress
    3 Где здесь указана для каких версий php были протестированы
    wordpress и плагин
    4 Если просят обновить wordpress то должно указываться
    для каких версий php
    Спасибо за сообщения теперь к обновлениям wordpress и плагинов
    буду относить скептически
    5 Ну и советчику по google пройдись и найди хоть одно решений
    такой ошибки wordpress

    • Ответ изменён 6 мес., 3 нед. назад пользователем  wlad1950.
    Модератор Yui

    (@fierevere)

    ゆい にゃん子

    1.ошибка не обязательно должна быть там, где рапортуется PHP
    ошибку вызывает плагин некорректно вызывая фунцкию, удалите плагин и ошибки не будет 🙂

    2. непонятно что вы имели ввиду.

    3. в каталоге указывается, на боковой панели, отчасти этот функционал еще дорабатывается.

    4. Именно это и будет (было уже) сделано для WordPress 5.1, будет полностью контролироваться версия PHP для обновлений и WP и плагинов и тем. Правда в основном для устаревших версий PHP.

    Возьмите за правило, если не хотите проблем, PHP и приложения для нее обычно «взрослеют» к .10 релизу, т.е. если вы используете 7.3 более раннего выпуска чем 7.3.10 , то будьте готовы что где-то что-то у вас проблема вылезет.

    Yui спасибо за ответ я не говорю что это проблема (решение PHP 7.2 и все ок)
    Я тестирую новое на будущее т.к. выше указанная ошибка встречалась и не раз
    много ранее и не была четко решена и там был совсем не выше указанный плагин

    • Ответ изменён 6 мес., 3 нед. назад пользователем  wlad1950.
    Модератор Yui

    (@fierevere)

    ゆい にゃん子

    в таком случае, форум — не лучшее место для сообщения об ошибках.
    По плагинам и темам лучше сообщать их авторам, возможно через форум поддержки

    Лучше с этой проблемой обратиться на оф. форум плагина https://wordpress.org/support/plugin/mp3-jplayer/

    вот вам SeVlad уже давал ссылку.
    По ядру (если проблема действительно там) — https://core.trac.wordpress.org/

    PS: 7.2.х сейчас лучший вариант.

    • Ответ изменён 6 мес., 3 нед. назад пользователем  Yui.

    Вопрос решен в php 7.3.2

Просмотр 10 ответов — с 1 по 10 (всего 10)
  • Тема «При использования php7.3.1 не выводится плагин mp3-jplayer.2.7.3» закрыта для новых ответов.